SAY(1dtk)

NAME
say - Shell command to speak text using DECtalk Software

SYNOPSIS

say [-h] [-r #] [-r #] [-d #] [-e #] [-fi filename] [-fo filename] [-a text]

FLAGS

-atext
    Specifies a quoted string to be spoken, at the end of which the program returns to the shell command prompt.

-d# Selects the audio output device.

-e# Selects the output wave file format, an integer in the range 1 to 3:

    1   PCM, 16 bit Mono 11 KHz format

    2   PCM, 8 bit Mono 11 KHz format

    3   Mu-law, 8 bit Mono 8 KHz format

        -fifilename
            Specifies the name of an input ASCII file to synthesize.

        -fofilename
            Specifies the output wave file name. The name defaults to dtmemory.c.

        -h  Displays the command line parameter list.

        -r# Specifies the speaking rate (75 to 650).

        -s# Selects the speaker (1 to 9).

DESCRIPTION

The say program is a command line program that produces synthesized audio of the input ascii text.

EXAMPLES

    say -a "Hello world."
    say
    Hello world.
    say -fi README.txt

RELATED INFORMATION

dectalk(1dtk), audiocontrol(1mms), mmeserver(1mms)

DECtalk Software Programmer's Guide